{% extends 'base.html.twig' %}

{% block title %}Preference index{% endblock %}

{% block body %}
    <h1>Preference index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Created_at</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for preference in preferences %}
            <tr>
                <td>{{ preference.id }}</td>
                <td>{{ preference.createdAt ? preference.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>
                    <a href="{{ path('preference_show', {'id': preference.id}) }}">show</a>
                    <a href="{{ path('preference_edit', {'id': preference.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('preference_new') }}">Create new</a>
{% endblock %}
